using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TargetTrigger : MonoBehaviour
{
    private bool m_bControl = true;
    private void OnTriggerEnter(Collider other)
    {
        if (other.gameObject.CompareTag("Target") && m_bControl)
        {
            m_bControl = false;
            BattleCtrl.instance.OnBattleWin();
            BattleCtrl.instance.levelManager.curLevel.chainRopeView.CatchObjEnterTarget();
        }
    }
}
